{
    attributes = (
        {
            columnName = "FANN_KEY"; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MEC_KEY"; 
            externalType = NUMBER; 
            name = mecKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MREC_BONIFIABLE"; 
            externalType = NUMBER; 
            name = mrecBonifiable; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MREC_COEFFICIENT"; 
            externalType = NUMBER; 
            name = mrecCoefficient; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "MREC_COMPTABILISABLE"; 
            externalType = NUMBER; 
            name = mrecComptabilisable; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MREC_KEY"; 
            externalType = NUMBER; 
            name = mrecKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MREC_NIVEAU"; 
            externalType = VARCHAR2; 
            name = mrecNiveau; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "MREC_NOTE_BASE"; 
            externalType = NUMBER; 
            name = mrecNoteBase; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MREC_NOTE_ELIMINATION"; 
            externalType = NUMBER; 
            name = mrecNoteElimination; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "MREC_NOTE_OBTENTION"; 
            externalType = NUMBER; 
            name = mrecNoteObtention; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "MREC_ORDRE"; 
            externalType = NUMBER; 
            name = mrecOrdre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "MTEC_CODE"; 
            externalType = VARCHAR2; 
            name = mtecCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            columnName = "MUE_KEY"; 
            externalType = NUMBER; 
            name = mueKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        fannKey, 
        mecKey, 
        mrecBonifiable, 
        mrecCoefficient, 
        mrecComptabilisable, 
        mrecKey, 
        mrecNiveau, 
        mrecNoteBase, 
        mrecNoteElimination, 
        mrecNoteObtention, 
        mrecOrdre, 
        mtecCode, 
        mueKey
    ); 
    className = "org.cocktail.scolaritefwk.serveur.metier.eos.EOScolMaquetteRepartitionEc"; 
    classProperties = (
        mrecBonifiable, 
        mrecCoefficient, 
        mrecComptabilisable, 
        mrecNiveau, 
        mrecNoteBase, 
        mrecNoteElimination, 
        mrecNoteObtention, 
        mrecOrdre, 
        "toFwkScolarite_ScolFormationAnnee", 
        "toFwkScolarite_ScolInscriptionEcs", 
        "toFwkScolarite_ScolMaquetteEc", 
        "toFwkScolarite_ScolMaquetteTypeEc", 
        "toFwkScolarite_ScolMaquetteUe"
    ); 
    externalName = "SCOLARITE.SCOL_MAQUETTE_REPARTITION_EC"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolaritefwk.client.metier.eos.EOScolMaquetteRepartitionEc"; 
    }; 
    name = "FwkScolarite_ScolMaquetteRepartitionEc"; 
    primaryKeyAttributes = (mrecKey); 
    relationships = (
        {
            destination = "FwkScolarite_ScolFormationAnnee"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = "toFwkScolarite_ScolFormationAnnee"; 
        }, 
        {
            destination = "FwkScolarite_ScolInscriptionEc"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mrecKey; sourceAttribute = mrecKey; }); 
            name = "toFwkScolarite_ScolInscriptionEcs"; 
        }, 
        {
            destination = "FwkScolarite_ScolMaquetteEc"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mecKey; sourceAttribute = mecKey; }); 
            name = "toFwkScolarite_ScolMaquetteEc"; 
        }, 
        {
            destination = "FwkScolarite_ScolMaquetteTypeEc"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mtecCode; sourceAttribute = mtecCode; }); 
            name = "toFwkScolarite_ScolMaquetteTypeEc"; 
        }, 
        {
            destination = "FwkScolarite_ScolMaquetteUe"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mueKey; sourceAttribute = mueKey; }); 
            name = "toFwkScolarite_ScolMaquetteUe"; 
        }
    ); 
}
